Wiki Labels
6 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1
List all wiki labels for a space#
GET
/spaces/{spaceId}/wiki-labelsTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
spaceIdPflicht | Pfad | string | – |
include_assignmentsPflicht | Query | string | – |
includeAssignmentsPflicht | Query | string | – |
Antworten
- 200Labels returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/wiki-labels" \
-H "Authorization: Bearer $XISUITE_TOKEN"Create a wiki label in a space#
POST
/spaces/{spaceId}/wiki-labelsTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
spaceIdPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
namePflicht | string | |
color | string | Hex color code |
description | string | – |
sort_order | number |
Antworten
- 201Label created
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/wiki-labels" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"Architecture"}'Update a wiki label#
PUT
/spaces/{spaceId}/wiki-labels/{labelId}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
spaceIdPflicht | Pfad | string | – |
labelIdPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
name | string | – |
color | string | |
description | string | – |
sort_order | number | – |
Antworten
- 200Label updated
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/wiki-labels/{labelId}" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"…","color":"#6366f1","description":"…"}'Update a wiki label#
PATCH
/spaces/{spaceId}/wiki-labels/{labelId}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
spaceIdPflicht | Pfad | string | – |
labelIdPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
name | string | – |
color | string | |
description | string | – |
sort_order | number | – |
Antworten
- 200Label updated
Beispiel (cURL)
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/wiki-labels/{labelId}" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"…","color":"#6366f1","description":"…"}'Delete a wiki label#
DELETE
/spaces/{spaceId}/wiki-labels/{labelId}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
spaceIdPflicht | Pfad | string | – |
labelIdPflicht | Pfad | string | – |
Antworten
- 200Label deleted
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/wiki-labels/{labelId}" \
-H "Authorization: Bearer $XISUITE_TOKEN"Reorder wiki labels#
POST
/spaces/{spaceId}/wiki-labels/reorderTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
spaceIdPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
schemaIdPflicht | string | – |
ordersPflicht | ItemOrderDto[] | – |
orders[].item_idPflicht | string | – |
orders[].row_orderPflicht | number | – |
Antworten
- 200Labels reordered
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/wiki-labels/reorder" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"schemaId":"…","orders":[]}'